summaryrefslogtreecommitdiffstats
path: root/configs/process_configs.sh
diff options
context:
space:
mode:
authorJeremy Cline <jcline@redhat.com>2019-05-06 16:48:38 +0000
committerJeremy Cline <jcline@redhat.com>2019-05-07 14:02:01 +0000
commit6f9babcb28ce9b8ecfc1afb612361d26c9ec34a7 (patch)
treeb65513d62661f81b4ca9edbcc33abf0e15c88ab9 /configs/process_configs.sh
parent2d62e0d70f99987e98fedec648a10a286000eab0 (diff)
downloadkernel-6f9babcb28ce9b8ecfc1afb612361d26c9ec34a7.tar.gz
kernel-6f9babcb28ce9b8ecfc1afb612361d26c9ec34a7.tar.xz
kernel-6f9babcb28ce9b8ecfc1afb612361d26c9ec34a7.zip
Initial v5.1 rebase
Diffstat (limited to 'configs/process_configs.sh')
-rwxr-xr-xconfigs/process_configs.sh11
1 files changed, 5 insertions, 6 deletions
diff --git a/configs/process_configs.sh b/configs/process_configs.sh
index 7517e6de1..846fe2e70 100755
--- a/configs/process_configs.sh
+++ b/configs/process_configs.sh
@@ -14,17 +14,16 @@ die()
switch_to_toplevel()
{
path="$(pwd)"
- while test -n "$path"
+ while test "$path" != "/"
do
- test -d $path/firmware && \
- test -e $path/MAINTAINERS && \
- test -d $path/drivers && \
- break
+ test -e $path/MAINTAINERS && \
+ test -d $path/drivers && \
+ break
path="$(dirname $path)"
done
- test -n "$path" || die "Can't find toplevel"
+ test "$path" != "/" || die "Can't find toplevel"
echo "$path"
}